body {
    margin: 0;
    background-color: #f9f9f9;
    font-family: 'Manrope', sans-serif;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 32px 48px;
}

.logo {
    display: flex;
    align-items: center;
}

.logo img {
    height: 80px;
}

.nav-links {
    display: flex;
    gap: 8px;
    list-style: none;
}

.nav-links a {
    text-decoration: none;
    color: #1a1a1a;
    font-weight: 600;
    transition: color 0.2s ease;
}

.nav-links a:hover {
    color: #635ec7;
    cursor: pointer;
}

.nav-links a.active {
    color: #6c63ff;
    font-weight: 600;
}

.nav-links span {
    text-decoration: none;
    color: #1a1a1a;
    font-weight: 600;
    transition: color 0.2s ease;
    cursor: pointer;
}

.main {
    width: 100%;
    height: 100%;
    min-height: calc(4vh - 187px);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 24px;
    box-sizing: border-box;
}

.container-project-link {
    border-bottom: 1px solid #d7d7d7;
    padding: 16px 16px 16px 0;
    cursor: pointer;
    text-decoration: none;
    display: flex;
    flex-direction: column;
    gap: 4px;
    color: #4e5564;
    margin: 8px;
}

.container-project-link-span-1 {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.container-project-link-span-1 h3 {
    font-size: 1.25rem;
    font-weight: 500;
    font-family: Pacifico,sans-serif;
    color: #4e5564;
    margin: 0;
}

.container-project-link-span-2 {
    display: flex;
    gap: 8px;
    align-items: center;
}

.container-project-link-span-2 p {
    font-size: .875rem;
    font-weight: 500;
    font-family: Manrope,sans-serif;
    color: #4e5564;
    margin: 0;
    padding-left: 0;
    flex: 1;
}

.container-project-link:hover {
    text-decoration: underline;
}

.github {
    width: 24px;
    height: 24px;
    aspect-ratio: auto 24 / 24;
}

.container-project-link-span-special {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    flex-wrap: wrap;
    gap: 8px;
}


.container-project-link-span-special h3 {
    font-size: 1.25rem;
    font-weight: 500;
    font-family: Pacifico,sans-serif;
    color: #4e5564;
    margin: 0;
    padding-right: 0;
    flex: 1;
}

.main h1 {
    opacity: 0;
    font-size: 2.363rem;
    font-weight: 600;
    font-family: 'Manrope' ,sans-serif;
    color: #343c4a;
    line-height: 1.5;
    margin: 8px;
    text-align: center;
    animation: title-load ease-in;
    animation-duration: 200ms;
    animation-fill-mode: forwards;
}

@keyframes title-load {
    0% {
        transform: translateY(-20px);
        opacity: 0;
    }
    100% {
        transform: translate(0);
        opacity: 1;
    }
}

.container-project-1 {
    opacity: 0;
    margin-top: 16px;
    display: flex;
    flex-direction: column;
    animation: project-load ease-in;
    animation-duration: 200ms;
    animation-delay: 200ms;
    animation-fill-mode: forwards;
}

.container-project-2 {
    opacity: 0;
    margin-top: 16px;
    display: flex;
    flex-direction: column;
    animation: project-load ease-in;
    animation-duration: 200ms;
    animation-delay: 400ms;
    animation-fill-mode: forwards;
}

.container-project-3 {
    opacity: 0;
    margin-top: 16px;
    display: flex;
    flex-direction: column;
    animation: project-load ease-in;
    animation-duration: 300ms;
    animation-delay: 600ms;
    animation-fill-mode: forwards;
}

@keyframes project-load {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.projects {
    width: 100%;
    max-width: 800px;
    padding: 0 16px;
    box-sizing: border-box;
}